petsc-3.4.2 2013-07-02

# SNESLineSearchBTSetAlpha

Sets the descent parameter, alpha, in the BT linesearch variant.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchBTSetAlpha(SNESLineSearch linesearch, PetscReal alpha)

### Input Parameters

| linesearch | - linesearch context
| alpha | - The descent parameter

### See Also

SNESLineSearchSetLambda(), SNESLineSearchGetTolerances() SNESLINESEARCHBT

Level:intermediate
Location:src/snes/linesearch/impls/bt/linesearchbt.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages